# StructuredConnectivity
Data and code for manuscript "Structured connectivity in the output of the cerebellar cortex." 
Link: https://www.biorxiv.org/content/10.1101/2023.03.17.533173v2


This repository serves to store the data and code for the Gruver et al. 2023 BioRxiv manuscript "Structured connectivity in the output of the cerebellar cortex." 

Custom Python code used to perform various statistical analyses are located within the "Datasets and code" directory, in addition to datasets required to replicate analyses.

Most of the code was run in a Jupyter notebook environment and relies on packages and libraries listed in the requirements.txt file.

Code used to produce visualization models of cerebellar nuclear neurons within the cerebellar fastigial nucleus, using the Brainrender package, are located within the "Brainrender 3D visualization" directory. To perform 3D data visualization, download of additional files and packages will be required to run the Brainrender software. 

Additional source data and code (e.g. for data extraction rather than data analysis) are available from the authors upon reasonable request.

N.B. This code was written and tested using macOS Monterey version 12 and has not been tested on a Windows device. No additional hardware is expected to be required for its use. 
